Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(139)

Issue 1010783002: [Icons NTP] Working prototype to fetch, store, and display big icons. (Closed)

Created:
4 years, 4 months ago by huangs
Modified:
4 years, 3 months ago
CC:
chromium-reviews, skanuj+watch_chromium.org, dhollowa+watch_chromium.org, dougw+watch_chromium.org, nasko+codewatch_chromium.org, browser-components-watch_chromium.org, arv+watch_chromium.org, extensions-reviews_chromium.org, melevin+watch_chromium.org, jam, darin-cc_chromium.org, chromium-apps-reviews_chromium.org, pedrosimonetti+watch_chromium.org, dbeam+watch-ntp_chromium.org, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, jfweitz+watch_chromium.org, kmadhusu+watch_chromium.org, Jered, donnd+watch_chromium.org, David Black, samarth+watch_chromium.org, mkwst+moarreviews-renderer_chromium.org, estade+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Icons NTP] Working prototype to fetch, store, and display big icons. End-to-end flow as proof of concept. CL needs to be cleaned and cut up. Simplistically store all big icons for now, but hiding feature behind flag "IconNTP/Enabled". BUG=467712

Patch Set 1 #

Total comments: 9

Patch Set 2 : Rename 'big' to 'large'; always resize big icons; add flag to control feature. #

Patch Set 3 : Cleanups. #

Patch Set 4 : Sync and merge. #

Patch Set 5 : Don't use chrome namespace; simplifying icon resizing; add tests. #

Patch Set 6 : Punting FaviconService change. #

Patch Set 7 : Sync: 01,02,03,08,09 are in, 05 punted. #

Patch Set 8 : Refactoring SearchBox. #

Patch Set 9 : Sync: 06 is in, only 04,07 remain. #

Patch Set 10 : Tweaks and unit test fix. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+554 lines, -338 lines) Patch
M chrome/browser/ui/webui/fallback_icon_source.cc View 1 2 3 4 2 chunks +6 lines, -2 lines 0 comments Download
M chrome/common/favicon/fallback_icon_url_parser.h View 4 chunks +9 lines, -4 lines 0 comments Download
M chrome/common/favicon/fallback_icon_url_parser.cc View 1 chunk +9 lines, -4 lines 0 comments Download
M chrome/common/favicon/fallback_icon_url_parser_unittest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +22 lines, -6 lines 0 comments Download
M chrome/renderer/chrome_content_renderer_client.cc View 1 2 3 4 5 6 7 8 9 1 chunk +11 lines, -4 lines 0 comments Download
M chrome/renderer/searchbox/searchbox.h View 1 2 3 4 5 6 7 8 9 3 chunks +46 lines, -16 lines 0 comments Download
M chrome/renderer/searchbox/searchbox.cc View 1 2 3 4 5 6 7 8 9 3 chunks +155 lines, -100 lines 0 comments Download
M chrome/renderer/searchbox/searchbox_extension.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/renderer/searchbox/searchbox_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +294 lines, -202 lines 0 comments Download

Messages

Total messages: 10 (3 generated)
Roger McFarlane (Chromium)
https://codereview.chromium.org/1010783002/diff/1/chrome/browser/favicon/favicon_tab_helper.cc File chrome/browser/favicon/favicon_tab_helper.cc (right): https://codereview.chromium.org/1010783002/diff/1/chrome/browser/favicon/favicon_tab_helper.cc#newcode57 chrome/browser/favicon/favicon_tab_helper.cc:57: big_icon_handler_.reset( maybe put these derefs behind a check for ...
4 years, 4 months ago (2015-03-16 19:01:00 UTC) #2
huangs
Updated (will address parser issue later). This is now behind a flag, so need to ...
4 years, 4 months ago (2015-03-17 01:43:52 UTC) #3
huangs
Plans to split this CL: (1) [Icons NTP] Enable Touch Icon parsing, so Chrome gets ...
4 years, 4 months ago (2015-03-17 15:03:51 UTC) #4
Roger McFarlane (Chromium)
Sounds like a plan. Are you going to chop this up, or do you want ...
4 years, 4 months ago (2015-03-17 15:24:03 UTC) #5
huangs
Specifically, needed to merge with crbug.com/983043003, which moved several files.
4 years, 4 months ago (2015-03-17 18:29:57 UTC) #6
huangs
Another dependency: (7): (6) (for simple const). Chopped pieces: (1): https://codereview.chromium.org/1007563004 (2): https://codereview.chromium.org/1010293002 (3): https://codereview.chromium.org/1014853004 ...
4 years, 4 months ago (2015-03-17 20:57:19 UTC) #7
huangs
4 years, 3 months ago (2015-03-20 22:02:05 UTC) #8
All the pieces have been committed!  Setting issue to Closed.

Powered by Google App Engine
This is Rietveld 408576698